Package org.silverpeas.components.quickinfo.notification

## Class QuickInfoDelayedVisibilityUserNotificationReminder

- java.lang.Object
- - org.silverpeas.components.quickinfo.notification.QuickInfoDelayedVisibilityUserNotificationReminder

- All Implemented Interfaces:
    `org.silverpeas.core.reminder.BackgroundReminderProcess`

      @Bean
      @Named("quickinfoDelayedVisibilityUserNotificationReminderProcess")
      @Singleton
      public class QuickInfoDelayedVisibilityUserNotificationReminder
      extends Object
      implements org.silverpeas.core.reminder.BackgroundReminderProcess

  Implementation in charge of handling data about `News` entities provided by quickinfo component instances.
  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.reminder.BackgroundReminderProcess

      `org.silverpeas.core.reminder.BackgroundReminderProcess.Constants`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.silverpeas.core.reminder.ReminderProcessName` | `QUICKINFO_DELAYED_VISIBILITY_USER_NOTIFICATION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuickInfoDelayedVisibilityUserNotificationReminder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QuickInfoDelayedVisibilityUserNotificationReminder` | `get()` |
    `org.silverpeas.core.reminder.ReminderProcessName` | `getName()` |
    `void` | `performWith​(org.silverpeas.core.reminder.Reminder reminder)` | Sends the user notification about a specified reminder.
    `boolean` | `setAbout​(News news)` | Initialize the reminder for the given news if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUICKINFO_DELAYED_VISIBILITY_USER_NOTIFICATION

          public static final org.silverpeas.core.reminder.ReminderProcessName QUICKINFO_DELAYED_VISIBILITY_USER_NOTIFICATION

  - ### Constructor Detail

    - #### QuickInfoDelayedVisibilityUserNotificationReminder

          public QuickInfoDelayedVisibilityUserNotificationReminder()

  - ### Method Detail

    - #### get

          public static QuickInfoDelayedVisibilityUserNotificationReminder get()

    - #### getName

          public org.silverpeas.core.reminder.ReminderProcessName getName()

      Specified by:
        `getName` in interface `org.silverpeas.core.reminder.BackgroundReminderProcess`

    - #### performWith

          public void performWith​(org.silverpeas.core.reminder.Reminder reminder)

      Sends the user notification about a specified reminder.
      Specified by:
        `performWith` in interface `org.silverpeas.core.reminder.BackgroundReminderProcess`
      Parameters:
        `reminder` - a reminder.

    - #### setAbout

          public boolean setAbout​(News news)

      Initialize the reminder for the given news if possible.
      Parameters:
        `news` - the news for which the reminder is initialized.
      Returns:
        true if the reminder has been set successfully, false otherwise.